<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.36.2" id="app_management_SRSkillsPageDef"
                Package="oracle.srdemo.view.pageDefs">
  <parameters/>
  <executables>
    <iterator id="StaffListIterator" Binds="StaffList" RangeSize="10"
              DataControl="SRService"/>
    <iterator id="StaffExpertiseAreasIterator" Binds="StaffExpertiseAreas"
              RangeSize="10" DataControl="SRService"/>
    <iterator id="ProductListIterator" Binds="ProductList" RangeSize="10"
              DataControl="SRService"/>
  </executables>
  <bindings>
    <list ListOperMode="1" IterBinding="StaffListIterator"
          id="StaffNavigationList">
      <AttrNames>
        <Item Value="FirstName"/>
        <Item Value="LastName"/>
      </AttrNames>
    </list>
    <methodAction id="updateSkillsForCurrentStaff"
                  InstanceName="SRService.dataProvider"
                  DataControl="SRService"
                  MethodName="updateSkillsForCurrentStaff"
                  RequiresUpdateModel="true" Action="999">
      <NamedData NDName="productIds"
                 NDValue="${backing_SRSkills.selectedValues}"
                 NDType="java.util.List"/>
    </methodAction>
  </bindings>
</pageDefinition>
